精华内容
下载资源
问答
  • 文章目录说明离线包安装流程下载离线包安装离线包rpm卸载包yum卸载包及其依赖 说明 流程:对于同一版本CentOS,我们可以事先下载离线依赖包,后面用命令手动安装。 准备条件:一台能正常上网的主机【最好和需要离线...

    说明

    • 流程:对于同一版本CentOS,我们可以事先下载离线依赖包,后面用命令手动安装。
    • 准备条件:一台能正常上网的主机【最好和需要离线安装的主机是同一系统版本】
    • 下载离线包的这台主机不能先安装该包,否则无法下载,如果已经安装该包,那么必须先卸载需要离线的包及其依赖,方法见下面的yum卸载包及其依赖。

    离线包安装流程

    下载离线包

    • 登陆一台能正常通外网的服务器
    • 下载离线包使用的命令格式是:yum -y install -- --downloadonly --downloaddir=存放路径 包名
      • --downloadonly:下载不安装的意思
      • --downloaddir=存放路径:这是下载存放的路径,可以不要这行,但建议加上【不加这行下载的默认路径我不知道在哪,也懒的去查,你可以用 find 查询下载的包看出默认路径的。】
        注:下载离线包的主机务必不能先安装该包,如果已经安装,先卸载包及其依赖,方法见下面yum卸载包及其依赖。
    • 如:我下载docker的离线包,并放在/docker文件中为例
    [root@ccx ~]# mkdir /docker
    [root@ccx ~]# yum install docker-ce -y --downloaddir=/docker --downloadonly 
    Loaded plugins: fastestmirror, langpacks
    Loading mirror speeds from cached hostfile
    Resolving Dependencies
    --> Running transaction check
    ---> Package docker-ce.x86_64 3:20.10.7-3.el7 will be installed
    --> Processing Dependency: container-selinux >= 2:2.74 for package: 3:docker-ce-20.10.7-3.el7.x86_64
    --> Processing Dependency: containerd.io >= 1.4.1 for package: 3:docker-ce-20.10.7-3.el7.x86_64
    --> Processing Dependency: docker-ce-cli for package: 3:docker-ce-20.10.7-3.el7.x86_64
    --> Processing Dependency: docker-ce-rootless-extras for package: 3:docker-ce-20.10.7-3.el7.x86_64
    --> Running transaction check
    ---> Package container-selinux.noarch 2:2.119.2-1.911c772.el7_8 will be installed
    ---> Package containerd.io.x86_64 0:1.4.6-3.1.el7 will be installed
    ---> Package docker-ce-cli.x86_64 1:20.10.7-3.el7 will be installed
    --> Processing Dependency: docker-scan-plugin(x86-64) for package: 1:docker-ce-cli-20.10.7-3.el7.x86_64
    ---> Package docker-ce-rootless-extras.x86_64 0:20.10.7-3.el7 will be installed
    --> Processing Dependency: fuse-overlayfs >= 0.7 for package: docker-ce-rootless-extras-20.10.7-3.el7.x86_64
    --> Processing Dependency: slirp4netns >= 0.4 for package: docker-ce-rootless-extras-20.10.7-3.el7.x86_64
    --> Running transaction check
    ---> Package docker-scan-plugin.x86_64 0:0.8.0-3.el7 will be installed
    ---> Package fuse-overlayfs.x86_64 0:0.7.2-6.el7_8 will be installed
    --> Processing Dependency: libfuse3.so.3(FUSE_3.2)(64bit) for package: fuse-overlayfs-0.7.2-6.el7_8.x86_64
    --> Processing Dependency: libfuse3.so.3(FUSE_3.0)(64bit) for package: fuse-overlayfs-0.7.2-6.el7_8.x86_64
    --> Processing Dependency: libfuse3.so.3()(64bit) for package: fuse-overlayfs-0.7.2-6.el7_8.x86_64
    ---> Package slirp4netns.x86_64 0:0.4.3-4.el7_8 will be installed
    --> Running transaction check
    ---> Package fuse3-libs.x86_64 0:3.6.1-4.el7 will be installed
    --> Finished Dependency Resolution
    
    Dependencies Resolved
    
    ===============================================================================================================
     Package                          Arch          Version                          Repository               Size
    ===============================================================================================================
    Installing:
     docker-ce                        x86_64        3:20.10.7-3.el7                  docker-ce-stable         27 M
    Installing for dependencies:
     container-selinux                noarch        2:2.119.2-1.911c772.el7_8        extras                   40 k
     containerd.io                    x86_64        1.4.6-3.1.el7                    docker-ce-stable         34 M
     docker-ce-cli                    x86_64        1:20.10.7-3.el7                  docker-ce-stable         33 M
     docker-ce-rootless-extras        x86_64        20.10.7-3.el7                    docker-ce-stable        9.2 M
     docker-scan-plugin               x86_64        0.8.0-3.el7                      docker-ce-stable        4.2 M
     fuse-overlayfs                   x86_64        0.7.2-6.el7_8                    extras                   54 k
     fuse3-libs                       x86_64        3.6.1-4.el7                      extras                   82 k
     slirp4netns                      x86_64        0.4.3-4.el7_8                    extras                   81 k
    
    Transaction Summary
    ===============================================================================================================
    Install  1 Package (+8 Dependent packages)
    
    Total download size: 107 M
    Installed size: 438 M
    Background downloading packages, then exiting:
    (1/9): container-selinux-2.119.2-1.911c772.el7_8.noarch.rpm                             |  40 kB  00:00:00     
    (2/9): docker-ce-20.10.7-3.el7.x86_64.rpm                                               |  27 MB  00:00:16     
    (3/9): containerd.io-1.4.6-3.1.el7.x86_64.rpm                                           |  34 MB  00:00:21     
    (4/9): docker-ce-rootless-extras-20.10.7-3.el7.x86_64.rpm                               | 9.2 MB  00:00:06     
    (5/9): fuse3-libs-3.6.1-4.el7.x86_64.rpm                                                |  82 kB  00:00:00     
    (6/9): slirp4netns-0.4.3-4.el7_8.x86_64.rpm                                             |  81 kB  00:00:00     
    (7/9): fuse-overlayfs-0.7.2-6.el7_8.x86_64.rpm                                          |  54 kB  00:00:01     
    (8/9): docker-scan-plugin-0.8.0-3.el7.x86_64.rpm                                        | 4.2 MB  00:00:02     
    (9/9): docker-ce-cli-20.10.7-3.el7.x86_64.rpm                                           |  33 MB  00:00:21     
    ---------------------------------------------------------------------------------------------------------------
    Total                                                                          2.8 MB/s | 107 MB  00:00:37     
    exiting because "Download Only" specified
    [root@ccx ~]# cd /docker/
    [root@ccx docker]# ls
    containerd.io-1.4.6-3.1.el7.x86_64.rpm                docker-scan-plugin-0.8.0-3.el7.x86_64.rpm
    container-selinux-2.119.2-1.911c772.el7_8.noarch.rpm  fuse3-libs-3.6.1-4.el7.x86_64.rpm
    docker-ce-20.10.7-3.el7.x86_64.rpm                    fuse-overlayfs-0.7.2-6.el7_8.x86_64.rpm
    docker-ce-cli-20.10.7-3.el7.x86_64.rpm                slirp4netns-0.4.3-4.el7_8.x86_64.rpm
    docker-ce-rootless-extras-20.10.7-3.el7.x86_64.rpm
    [root@ccx docker]# 
    

    下载完毕以后就可以将这些包全部拷贝到需要离线安装的文件中了。
    如果服务器很多的话,可以写个批量拷贝文件的脚本,然后把下面安装离线包的命令放在后面,一并就解压了哦。

    安装离线包

    • 方法很简单:在存放需要安装的软件包目录下,执行下面一行代码即可了
      rpm -ivhU * --nodeps --force
      • -ivhU:先安装并升级,这个U建议加上,因为有些命令安装是有升级的服务的,如果不加U就失败了【比如java】【如何确定哪些包有升级的包,直接在通外网的服务器上yum安装该服务,看过程即可】
      • --nodeps --force:忽略软件包的依赖关系,忽略软件包及文件的冲突并强行安装
    • 如,我以安装docker为例:
    [root@ccx docker]# ls
    containerd.io-1.4.6-3.1.el7.x86_64.rpm                docker-scan-plugin-0.8.0-3.el7.x86_64.rpm
    container-selinux-2.119.2-1.911c772.el7_8.noarch.rpm  fuse3-libs-3.6.1-4.el7.x86_64.rpm
    docker-ce-20.10.7-3.el7.x86_64.rpm                    fuse-overlayfs-0.7.2-6.el7_8.x86_64.rpm
    docker-ce-cli-20.10.7-3.el7.x86_64.rpm                slirp4netns-0.4.3-4.el7_8.x86_64.rpm
    docker-ce-rootless-extras-20.10.7-3.el7.x86_64.rpm
    [root@ccx docker]# 
    [root@ccx docker]# rpm -ivhU * --nodeps --force
    Preparing...                          ################################# [100%]
    Updating / installing...
       1:docker-scan-plugin-0:0.8.0-3.el7 ################################# [ 11%]
       2:docker-ce-cli-1:20.10.7-3.el7    ################################# [ 22%]
       3:container-selinux-2:2.119.2-1.911################################# [ 33%]
       4:containerd.io-1.4.6-3.1.el7      ################################# [ 44%]
       5:slirp4netns-0.4.3-4.el7_8        ################################# [ 56%]
       6:fuse3-libs-3.6.1-4.el7           ################################# [ 67%]
       7:fuse-overlayfs-0.7.2-6.el7_8     ################################# [ 78%]
       8:docker-ce-rootless-extras-0:20.10################################# [ 89%]
       9:docker-ce-3:20.10.7-3.el7        ################################# [100%]
    [root@ccx docker]# 
    [root@ccx docker]# systemctl restart docker
    [root@ccx docker]# docker ps
    CONTAINER ID   IMAGE     COMMAND   CREATED   STATUS    PORTS     NAMES
    [root@ccx docker]# 
    

    rpm卸载包

    用rpm安装的包是不能通过yum卸载的,只能通过rpm卸载,命令:rpm -e --nodeps package【如果不加–nodeps,就会因为有依赖导致卸载报错】
    如上,安装了9个,就需要rpm -e 包名【复制粘贴上面的包名】重复9次【需要去掉后缀】。

    [root@ccx ~]# rpm -e --nodeps fuse-overlayfs
    [root@ccx ~]# rpm -e --nodeps containerd.io
    [root@ccx ~]# rpm -e --nodeps docker-scan-plugin
    [root@ccx ~]# rpm -e --nodeps container-selinux
    [root@ccx ~]# rpm -e --nodeps fuse3-libs
    [root@ccx ~]# rpm -e --nodeps docker-ce-cli
    [root@ccx ~]# rpm -e --nodeps slirp4netns
    [root@ccx ~]# rpm -e --nodeps docker-ce
    [root@ccx ~]# rpm -e --nodeps docker-ce-rootless-extras # 这个卸载报错是因为卸载docker-ce的时候一并给卸载了】
    error: package docker-ce-rootless-extras is not installed
    

    卸载完毕重新去下载的时候,发现又是9个包了

    Total download size: 107 M
    Installed size: 438 M
    Background downloading packages, then exiting:
    (1/9): container-selinux-2.119.2-1.911c772.el7_8.noarch.rpm                             |  40 kB  00:00:00     
    (2/9): docker-ce-20.10.7-3.el7.x86_64.rpm                                               |  27 MB  00:00:13     
    (3/9): containerd.io-1.4.6-3.1.el7.x86_64.rpm                                           |  34 MB  00:00:18     
    (4/9): docker-ce-rootless-extras-20.10.7-3.el7.x86_64.rpm                               | 9.2 MB  00:00:04     
    (5/9): fuse3-libs-3.6.1-4.el7.x86_64.rpm                                                |  82 kB  00:00:00     
    (6/9): fuse-overlayfs-0.7.2-6.el7_8.x86_64.rpm                                          |  54 kB  00:00:00     
    (7/9): slirp4netns-0.4.3-4.el7_8.x86_64.rpm                                             |  81 kB  00:00:00     
    (8/9): docker-scan-plugin-0.8.0-3.el7.x86_64.rpm                                        | 4.2 MB  00:00:02     
    (9/9): docker-ce-cli-20.10.7-3.el7.x86_64.rpm                                           |  33 MB  00:00:15     
    ---------------------------------------------------------------------------------------------------------------
    Total                                                                          3.7 MB/s | 107 MB  00:00:29     
    exiting because "Download Only" specified
    

    yum卸载包及其依赖

    • 我们知道卸载包的命令是:yum remove package【方法并不会卸载其依赖】
    • 卸载包及其依赖的命令是:yum autoremove package
    • 如下,我以卸载docker及其依赖为例
    [root@ccx docker]# yum autoremove docker-ce
    Loaded plugins: fastestmirror, langpacks
    Resolving Dependencies
    --> Running transaction check
    ---> Package docker-ce.x86_64 3:20.10.7-3.el7 will be erased
    --> Processing Dependency: docker-ce for package: docker-ce-rootless-extras-20.10.7-3.el7.x86_64
    --> Running transaction check
    ---> Package docker-ce-rootless-extras.x86_64 0:20.10.7-3.el7 will be erased
    --> Finished Dependency Resolution
    --> Finding unneeded leftover dependencies
    ---> Marking docker-ce-cli to be removed - no longer needed by docker-ce
    ---> Marking container-selinux to be removed - no longer needed by docker-ce
    ---> Marking containerd.io to be removed - no longer needed by docker-ce
    ---> Marking fuse-overlayfs to be removed - no longer needed by docker-ce-rootless-extras
    ---> Marking slirp4netns to be removed - no longer needed by docker-ce-rootless-extras
    ---> Marking docker-scan-plugin to be removed - no longer needed by docker-ce-cli
    ---> Marking fuse3-libs to be removed - no longer needed by fuse-overlayfs
    Found and removing 7 unneeded dependencies
    --> Running transaction check
    ---> Package container-selinux.noarch 2:2.119.2-1.911c772.el7_8 will be erased
    ---> Package containerd.io.x86_64 0:1.4.6-3.1.el7 will be erased
    ---> Package docker-ce-cli.x86_64 1:20.10.7-3.el7 will be erased
    ---> Package docker-scan-plugin.x86_64 0:0.8.0-3.el7 will be erased
    ---> Package fuse-overlayfs.x86_64 0:0.7.2-6.el7_8 will be erased
    ---> Package fuse3-libs.x86_64 0:3.6.1-4.el7 will be erased
    ---> Package slirp4netns.x86_64 0:0.4.3-4.el7_8 will be erased
    --> Finished Dependency Resolution
    
    Dependencies Resolved
    
    ===============================================================================================================
     Package                         Arch         Version                            Repository               Size
    ===============================================================================================================
    Removing:
     docker-ce                       x86_64       3:20.10.7-3.el7                    @docker-ce-stable       115 M
    Removing for dependencies:
     container-selinux               noarch       2:2.119.2-1.911c772.el7_8          @extras                  41 k
     containerd.io                   x86_64       1.4.6-3.1.el7                      @docker-ce-stable       129 M
     docker-ce-cli                   x86_64       1:20.10.7-3.el7                    @docker-ce-stable       156 M
     docker-ce-rootless-extras       x86_64       20.10.7-3.el7                      @docker-ce-stable        24 M
     docker-scan-plugin              x86_64       0.8.0-3.el7                        @docker-ce-stable        13 M
     fuse-overlayfs                  x86_64       0.7.2-6.el7_8                      @extras                 116 k
     fuse3-libs                      x86_64       3.6.1-4.el7                        @extras                 270 k
     slirp4netns                     x86_64       0.4.3-4.el7_8                      @extras                 169 k
    
    Transaction Summary
    ===============================================================================================================
    Remove  1 Package (+8 Dependent packages)
    
    Installed size: 438 M
    Is this ok [y/N]: y
    Downloading packages:
    Running transaction check
    Running transaction test
    Transaction test succeeded
    Running transaction
      Erasing    : docker-ce-rootless-extras-20.10.7-3.el7.x86_64                                              1/9 
      Erasing    : 3:docker-ce-20.10.7-3.el7.x86_64                                                            2/9 
      Erasing    : containerd.io-1.4.6-3.1.el7.x86_64                                                          3/9 
      Erasing    : docker-scan-plugin-0.8.0-3.el7.x86_64                                                       4/9 
      Erasing    : 1:docker-ce-cli-20.10.7-3.el7.x86_64                                                        5/9 
      Erasing    : fuse-overlayfs-0.7.2-6.el7_8.x86_64                                                         6/9 
      Erasing    : 2:container-selinux-2.119.2-1.911c772.el7_8.noarch                                          7/9 
      Erasing    : fuse3-libs-3.6.1-4.el7.x86_64                                                               8/9 
      Erasing    : slirp4netns-0.4.3-4.el7_8.x86_64                                                            9/9 
      Verifying  : containerd.io-1.4.6-3.1.el7.x86_64                                                          1/9 
      Verifying  : fuse3-libs-3.6.1-4.el7.x86_64                                                               2/9 
      Verifying  : fuse-overlayfs-0.7.2-6.el7_8.x86_64                                                         3/9 
      Verifying  : slirp4netns-0.4.3-4.el7_8.x86_64                                                            4/9 
      Verifying  : 2:container-selinux-2.119.2-1.911c772.el7_8.noarch                                          5/9 
      Verifying  : 3:docker-ce-20.10.7-3.el7.x86_64                                                            6/9 
      Verifying  : 1:docker-ce-cli-20.10.7-3.el7.x86_64                                                        7/9 
      Verifying  : docker-ce-rootless-extras-20.10.7-3.el7.x86_64                                              8/9 
      Verifying  : docker-scan-plugin-0.8.0-3.el7.x86_64                                                       9/9 
    
    Removed:
      docker-ce.x86_64 3:20.10.7-3.el7                                                                             
    
    Dependency Removed:
      container-selinux.noarch 2:2.119.2-1.911c772.el7_8      containerd.io.x86_64 0:1.4.6-3.1.el7                 
      docker-ce-cli.x86_64 1:20.10.7-3.el7                    docker-ce-rootless-extras.x86_64 0:20.10.7-3.el7     
      docker-scan-plugin.x86_64 0:0.8.0-3.el7                 fuse-overlayfs.x86_64 0:0.7.2-6.el7_8                
      fuse3-libs.x86_64 0:3.6.1-4.el7                         slirp4netns.x86_64 0:0.4.3-4.el7_8                   
    
    Complete!
    [root@ccx docker]#
    
    展开全文
  • 卸载依赖关系的多个软件时 依赖其他程序的软件包需要先卸载 可同时指定多个软件名进行卸载 忽略依赖关系 结合"–nodeps"选项,但可能导致软件异常 使用源代码安装软件的优点 获得最新的软件版本,及时修复...

    安装有依赖关系的多个软件是
    被依赖的软件包需要先安装
    可以同时指定多个.rpm包文件进行安装

    卸载有依赖关系的多个软件时
    依赖其他程序的软件包需要先卸载
    可同时指定多个软件名进行卸载

    忽略依赖关系
    结合"–nodeps"选项,但可能导致软件异常

    使用源代码安装软件的优点
    获得最新的软件版本,及时修复bug
    根据用户需要,灵活定制软件功能

    应用场合举例
    安装较新版本的应用程序时
    当前安装的程序无法满足需要时
    需要为应用程序添加新的功能时

    展开全文
  • pip 安全移除依赖包(基于引用计数, 解决多重依赖)
  • 之前卸载不完全,造成依赖关系问题: ubuntu 14.04 dpkg 依赖关系问题使得 open-vm-dkms的配置工作不能继续 解决方案: 1.$ sudo mv /var/lib/dpkg/info /var/lib/dpkg/info_old //现将info文件夹更名 2.$...

    之前卸载不完全,造成依赖关系问题:

    ubuntu 14.04 dpkg 依赖关系问题使得 open-vm-dkms的配置工作不能继续

    解决方案:

    1.$ sudo mv /var/lib/dpkg/info /var/lib/dpkg/info_old //现将info文件夹更名
    2.$ sudo mkdir /var/lib/dpkg/info //再新建一个新的info文件夹
    3.$ sudo apt-get update 

    4. $ apt-get -f install  //强制修复依赖关系

    4.$ sudo mv /var/lib/dpkg/info/* /var/lib/dpkg/info_old //执行完上一步操作后会在新的info文件夹下生成一些文件,现将这些文件全部移到info_old文件夹下
    5.$ sudo rm -rf /var/lib/dpkg/info //把自己新建的info文件夹删掉
    6.$ sudo mv /var/lib/dpkg/info_old /var/lib/dpkg/info //把以前的info文件夹重新改回名字

    完美解决!

     

     

    展开全文
  • 依赖: vim-runtime:i386 (= 2:7.4.000-1ubuntu2) 但无法安装它 按如下步骤进行操作: sudo apt-get purge vim-common sudo apt-get update sudo apt-get upgrade sudo apt-get install vim

    依赖: vim-runtime:i386 (= 2:7.4.000-1ubuntu2) 但无法安装它

    按如下步骤进行操作:(依赖出现问题可以卸载重装)

    sudo apt-get purge vim-common

    sudo apt-get update
    sudo apt-get upgrade
    sudo apt-get install vim

    展开全文
  • stowsh努力争取最小的依赖关系,但是目前它依赖于realpath和GNU findutils的GNU coreutils实现。 这些已安装在大多数Linux系统上。 在macOS上,可以使用brew install findutils coreutils安装它们。 我欢迎PR! ...
  • 以Mysql为例。 #查看安装的Mysql版本 sjgx2:/usr/local/mysql/bin # rpm -qa |grep -i mysql ...MySQL-client-5.1.17-0.glibc23 ...MySQL-server-5.1.17-0....#卸载 sjgx2:/usr/local/mysql/bin # rpm -e MySQL-cl
  • 安装 rpm -ivh name.rpm 强制安装,不检查依赖 ivh name.rpm --nodeps --force ##忽略...强制卸载,不检查依赖 rpm –e xanim --nodeps 查找wps相关依赖,可以看到相关的版本号 rpm -qa |grep wps ...
  • 卸载pip包并卸载依赖

    千次阅读 2021-01-08 22:23:47
    原创工具程序,卸载指定的pip包并递归卸载依赖包 使用方法:将以下代码保存为pip_uninst_rec.py,执行python pip_uninst_rec.py <pkg>即可 import argparse import os from collections import deque ...
  • Linux中的软件大部分是零碎的,其粒度比windows的小很多,软件之间的依赖关系很强烈,下面是自己的一些理解:一、Linux中的软件依赖Linux中的软件依赖关系成一颗拓扑树结构,比如A直接或间接依赖B,那么B就不可能...
  • CentOS软件卸载依赖

    2016-02-26 19:24:31
    yum可以更好地解决依赖关系,yum remove移除软件包(会让你确认同时删除依赖包)时更加安全。加入某个包被其它包依赖,用yum remove是无法移除的。   rpm -e和yum remove的用途和功能一致   rpm -e加上--nodeps...
  • 使用 pip 安装了一个 Python 的第三方模块的时候,总会安装其依赖的其他模块。而当我们卸载的时候,却不能... 这个命令行命令可以查看一个包的详细信息,包括这个包的依赖关系。重要的一点是,如果输入的模块包根本...
  • yum 完全卸载依赖

    千次阅读 2017-06-07 14:02:00
    实例:安装rabbitmq-server # yum history list rabbitmq-server Loaded plugins: fastestmirror ID | Login user | Date and time | Action(s)...# yum history undo 16 #这样就是完全卸载所有的信赖包  
  • 关于linux卸载时出现依赖问题

    千次阅读 2019-08-16 16:23:33
    今天在卸载openldap时,出现如下问题(不建议用这个,绝对不行) Error: Trying to remove "systemd", which is...原来是因为卸载依赖项包含yum或正在被yum使用,无法卸载。 解决办法 : 只卸载openldap-2.4.44-...
  • python卸载所有的依赖

    2021-04-26 15:01:59
    pip freeze>modules.txt pip uninstall -r modules.txt -y 安装新的 python -m pip install 包名
  • 2019独角兽企业重金招聘Python工程师标准>>> ...
  • 方法一: sudo apt-get -f install 方法二: aptitude 代替 apt-get。 aptitude 和 apt-get 一样,是 Debian 及其衍生系统中功能...以后就拿这条命令来下载即可,它会自动解决依赖关系 $> sudo aptitude -f install
  • Ubuntu下安装或卸载软件遇到的包依赖的问题
  • 卸载库指令:pip uninstall django 查询库版本:pip show django 安装文件内容:pip install -r requirements.txt 升级库到最新版本指令: pip install -U django 二、tar.gz文件安装: 1.到tar.gz解压路径下执行...
  • 正在分析软件包的依赖关系树 正在读取状态信息... 完成 您可能需要运行“apt-get -f install”来纠正下列错误: 下列软件包有未满足的依赖关系: wine1.6-amd64 : 依赖: wine1.6:any (= 1:1.6.2-0ubuntu14.2) ...
  • mysql卸载与下载器常见问题 mysql是一个复杂的数据库系统,它的组成有很多部分,各种服务相互依赖,协同工作。 所以无论是安装还是卸载,它都要遵循一定的顺序。否则这个互相依赖的链条就会崩溃,导致的就是你想...
  • Linux中的软件大部分是零碎的,其粒度比windows的小很多,软件之间的依赖关系很强烈,下面是自己的一些理解:一、Linux中的软件依赖 Linux中的软件依赖关系成一颗拓扑树结构,比如A直接或间接依赖B,那么B就不可能...
  • Linux系统卸载软件包忽略其依赖性 今天搭建了RHEL4环境想把LAMP做一下,默认RHEL4系统中已经安装了apache、php和mysql,我们必须把他卸载掉。大家可能知道卸载软件包可以使用rpm—e,其实我和大家想的一样,...
  • 好多时候在安装软件包时都 会出现依赖关系的错误 如果你知道安装包之间的先后关系自然很好,可是当你不知道的时候就应该强制安装了。 只有全部安装好,强制安装应该也不会应该软件使用的。 加上--force(强制)和--...
  • wine卸载

    2019-03-27 11:12:00
    Wine手动卸载,出现殘留,导致安装其他软件也不成功. 错误如下: 正在读取软件包列表... 完成正在分析软件包的依赖关系树 ...下列软件包有未满足的依赖关系:wine32:i386 : 依赖: libwine:i386 (= 3.0-1ubuntu1) 但是...
  • 依赖关系非常复杂,当你试图先安装任何一个包时都会出现这样的依赖关系错误,这时候你就应该强制安装了,我认为只要你把服务或软件需要的包都装上,强制安装也不会出问题的,不会有什么影响。 非常简单,只要加上一...
  • 1)安装rpm包过程中,不断涌现的依赖关系问题,导致需要按照提示或者查询资料,手工安装更多的包 2)由于内外网的隔离,无法连接外网的yum源 鉴于上述因此,本文将详细介绍,yum工具以及配置本地yum源的方法 2、...
  • centos 软件卸载

    2018-10-31 14:08:40
    rpm -q -a|grep 软件名 2、卸载 rpm -e [package name] 即可卸载软件。...如果因存在依赖关系而不能卸载,rpm将给予提示并停止卸载。你可以使用如下的命令来忽略依赖关系,直接开始卸载: rpm -e [p...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 70,319
精华内容 28,127
关键字:

依赖关系卸载